classification
Title: Python 3.2.3 fail to make
Type: compile error Stage: resolved
Components: None Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, loewis, shojnhv, terry.reedy
Priority: normal Keywords:

Created on 2012-06-12 08:01 by shojnhv, last changed 2013-01-20 21:40 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
Python3.2.3_Install_History_20120612.txt shojnhv, 2012-06-12 08:01 Python3.2.3 Install History File
Data.7z shojnhv, 2012-06-13 00:52 Config.log and inttypes.h files
Messages (7)
msg162662 - (view) Author: Grey_Shao (shojnhv) Date: 2012-06-12 08:01
When I try to compile the Python 3.2.3, I failed to make
After I ungzip and untar the source package of the Python 3.2.3, Then run the following commands:
    1. ./configure
    2. make
When step 2, the errors below happens:
gcc -c -fno-strict-aliasing -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes    -I. -IInclude -I./Include    -DPy_BUILD_CORE -o Mod
ules/python.o ./Modules/python.c
In file included from Include/Python.h:50,
                 from ./Modules/python.c:3:
Include/pyport.h:260:13: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"
*** Error code 1
make: Fatal error: Command failed for target `Modules/python.o'

Can you help me

My system OS is:
uname -a
SunOS HPCT01 5.9 Generic_117171-02 sun4u sparc SUNW,Sun-Fire-280R

I attached install history file

Thanks
msg162663 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-12 08:35
Can you please attach the config.log file also?

Also, can you please report what the value of PRId64 in /usr/include/inttypes.h is?
msg162698 - (view) Author: Grey_Shao (shojnhv) Date: 2012-06-13 00:52
Thanks for your kindly help
I attach the config.log in the attachment "data.7z"
The value of the PRId64 is:
    #ifdef  _LP64
    #define PRId64                  "ld"
    #else   /* _ILP32 */
    #if __STDC__ - 0 == 0 && !defined(_NO_LONGLONG)
    #define PRId64                  "lld"
    #endif
    #endif
I also attach the related inttypes.h files in the attachment "data.7z"

Thanks for your help
msg162715 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-13 17:35
This is a misconfiguration of your system. Take a look at line 29538 of config.log. It says

configure:13701: ./conftest
ld.so.1: ./conftest: ÖÂÃüµÄ: libintl.so.8: ´ò¿ªÊ§°Ü: ÎÞ´ËÎļþ»òĿ¼
./configure: line -1756:  8400 Killed                  ./conftest$ac_exeext
configure:13701: $? = 137
configure: program exited with status 137
configure: failed program was:
| /* confdefs.h */
| #define _GNU_SOURCE 1
...

So it didn't actually run the test, but immediately failed because libintl.so.8 is broken (or something involving libintl.so.8).

The surprising part is that this starts with the test for PTHREAD_SCOPE_SYSTEM. 

I cannot provide an explanation for that - you will have to research the source of the problem yourself.
msg162965 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-06-16 10:39
Martin, do I understand that you are saying that this is not a Python problem, and should be closed?
msg162966 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-16 10:55
> Martin, do I understand that you are saying that this is not a Python
> problem, and should be closed?

No. I'm saying that I don't know whether it's a Python problem.
It hasn't been fully analyzed. I actually only suspect that it's
a misconfiguration.
msg180320 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-20 21:40
I'm going to close this as out of date.  Feel free to reopen if it turns out that this is indeed a Python issue.
History
Date User Action Args
2013-01-20 21:40:27ezio.melottisetstatus: open -> closed

nosy: + ezio.melotti
messages: + msg180320

resolution: out of date
stage: resolved
2012-06-16 10:55:08loewissetmessages: + msg162966
2012-06-16 10:39:28terry.reedysetnosy: + terry.reedy
messages: + msg162965
2012-06-13 17:35:31loewissetmessages: + msg162715
2012-06-13 00:52:25shojnhvsetfiles: + Data.7z

messages: + msg162698
2012-06-12 08:35:32loewissetnosy: + loewis
messages: + msg162663
2012-06-12 08:01:43shojnhvcreate